using System;
					
 class Program
{
	static void Main()
	{
		int n = int.Parse(Console.ReadLine());
		if( n > 3) Console.WriteLine("nema potrebe za tolikom ambicijom :)");
		int[,] b = new int[n, 2];
        for (int i = 0; i < n; i++)
        {
            string[] s = Console.ReadLine().Split();
           
            for (int j = 0; j < 2; j++)
                b[i,j] = int.Parse(s[j]);
        }
	    int k = 0;
		for(int i = 0; i < n; i++)
		{
			if (b[i, 1] < 0) k++;
		}
		if(k == n) Console.WriteLine("0");
		k = 0;
		for(int i = 0; i < n; i++)
		{
			if (b[i, 1] > 0) k++;
		}
		if(k == n) Console.WriteLine("0");
		k = 0;
		for(int i = 0; i < n; i++)
		{
			if (b[i, 0] < 0) k++;
		}
		if(k == n) Console.WriteLine("0");
		k = 0;
		for(int i = 0; i < n; i++)
		{
			if (b[i, 0] > 0) k++;
		}
		if(k == n) Console.WriteLine("0");
		k = 0;

	}
}